using System;
using System.Collections.Generic;
using Siger.Middlelayer.Share.Models;

namespace Siger.ApiCNC.Result
{
    public class MachineRunningStateListResult : CncResultBase
    {
        public int companyid { get; set; }

        public int projectid { get; set; }

        public string startTime { get; set; }

        public string endTime { get; set; }

        public Enum msg { get; set; }

        public object zy_data { get; set; }

        public string iszy { get; set; }

        public List<int> ids { get; set; }

        public List<int> machines { get; set; }

        public LastData last_data { get; set; }

        public Dictionary<int, object> data { get; set; }

        public MachineRunningStateListResult()
        {
            ids = new List<int>();
            machines = new List<int>();
            data = new Dictionary<int, object>();
            last_data = new LastData();
        }
    }
}
